import { categoriesActionType } from '../actionType';
import { ICategoriesReducer } from '../../../typescript/redux/categories/interfaces';

export const initialState = {
  categoriesArr: [],
};

export function categoriesReducer(
  state = initialState,
  { type, payload }: ICategoriesReducer,
) {
  switch (type) {
    case categoriesActionType.success:
      return {
        categoriesArr: payload,
      };
    case categoriesActionType.reject:
      return state;
    default:
      return state;
  }
}
