import { loadingActionType } from '../actionType';
import { ILoadingReducer } from '../../../typescript/redux/loading/interfaces';

export function LoadingReducer(
  state = { flag: false },
  { type, payload }: ILoadingReducer,
) {
  switch (type) {
    case loadingActionType.isLoading:
      return { flag: payload };
    default:
      return state;
  }
}
