import { ordersActionType } from '../actionType';
import { IOrdersReducer } from '../../../typescript/redux/orders/interfaces';

const initialState = {
  ordersArr: [],
};

export function ordersReducer(
  state = initialState,
  { type, payload }: IOrdersReducer,
) {
  switch (type) {
    case ordersActionType.success:
      return {
        ordersArr: payload,
      };
    case ordersActionType.reject:
      return state;
    default:
      return state;
  }
}
