import { userActionType } from '../actionType';
import { IUserReducer } from '../../../typescript/redux/user/interfaces';

const initialState = {
  cash: 100,
};

export function userReducer(
  state = initialState,
  { type, payload: price }: IUserReducer,
) {
  switch (type) {
    case userActionType.success:
      const cash = state.cash - price;
      return {
        cash,
      };
    case userActionType.reject:
      return state;
    default:
      return state;
  }
}
