export interface ICategory {
  _id: string | undefined;
  name?: string | undefined;
  createdAt: string | undefined;
}

export interface ICategoryItem {
  category: ICategory;
}

export interface ICategoriesProps {
  categoriesArr: ICategory[] | [];
  getCategories: () => void;
}

export interface ICategoriesState {
  categories: {
    categoriesArr: ICategory[];
  };
}
