export interface IPrivateProps {
  children: React.ReactNode;
  token?: string;
  exact?: any;
  path: string;
}

export interface IPrivateState {
  authorization: {
    token: string;
  };
}

export interface IPublicState {
  authorization: {
    token: string;
  };
}

export interface IPublicProps {
  children: React.ReactNode;
  restricted?: boolean;
  token?: string;
  exact?: any;
  path: string;
}
