import { ETypes } from './enum';

export interface IToken {
  token: string;
}

export interface ILogin {
  login: string;
}

export interface IAuthorizationPayload {
  login: string;
  token: string;
}

export interface IAuthorizationReducer {
  type:
    | ETypes.loginSuccess
    | ETypes.logoutReject
    | ETypes.logoutSuccess
    | ETypes.logoutReject;
  payload: IAuthorizationPayload;
}

export interface IValidationScheme {
  email: string;
  password: string;
}
