import React from 'react';
import { Link } from 'react-router-dom';

import s from './Category.module.css';
import { ICategoryItem } from '../../../typescript/components/Categories/interfaces';

const Category = ({ category: { _id, name, createdAt } }: ICategoryItem) => {
  return (
    <li className={s.category_item}>
      <Link className={s.category_link} to={`/categories/goods/${name}`}>
        <p>_id : {_id ? _id : 'missed'}</p>
        <p>name : {name ? name : 'missed'}</p>
        <p>createdAt : {createdAt ? createdAt : 'missed'}</p>
      </Link>
    </li>
  );
};
export default Category;
