import React from 'react';
import { Provider } from 'react-redux';
import ReactDOM from 'react-dom';
import 'react-toastify/dist/ReactToastify.css';

import 'modern-normalize/modern-normalize.css';
import './index.css';
import App from './App';
import { store } from './redux/store';

ReactDOM.render(
  <React.StrictMode>
    <Provider store={store}>
      <App />
    </Provider>
  </React.StrictMode>,
  document.getElementById('root'),
);
