import { authorizationActionType } from '../actionType';
import { IAuthorizationReducer } from '../../../typescript/redux/authorization/interfaces';

export const initialState = {
  login: '',
  token: '',
};

export function authorizationReducer(
  state = initialState,
  { type, payload }: IAuthorizationReducer,
) {
  switch (type) {
    case authorizationActionType.loginSuccess:
      return payload;
    case authorizationActionType.loginReject:
      return state;
    case authorizationActionType.logoutSuccess:
      return payload;
    case authorizationActionType.logoutReject:
      return state;
    default:
      return state;
  }
}
