import { goodsActionType } from '../actionType';
import { IGoodsReducer } from '../../../typescript/redux/goods/interfaces';

const initialState = {
  goodsArr: [],
};

export function goodsReducer(
  state = initialState,
  { type, payload }: IGoodsReducer,
) {
  switch (type) {
    case goodsActionType.success:
      return {
        goodsArr: payload,
      };
    case goodsActionType.reject:
      return state;
    default:
      return state;
  }
}
