import { combineReducers } from 'redux';
import { categoriesReducer } from '../categories/reducer';
import { goodsReducer } from '../goods/reducer';
import { ordersReducer } from '../orders/reducer';
import { authorizationReducer } from '../authorization/reducer';
import { userReducer } from '../user/reducer';
import { LoadingReducer } from '../loading/reducer';

export const rootReducer = combineReducers({
  categories: categoriesReducer,
  goods: goodsReducer,
  orders: ordersReducer,
  authorization: authorizationReducer,
  user: userReducer,
  isLoading: LoadingReducer,
});
