import { actionMakeOrderSusses, actionMakeOrderReject } from '../action';
import { actionLoading } from '../../loading/action';
import { makeOrderById } from '../../../api-data';

const asyncMakeOrderById = (price: number, id: string) => async (
  dispatch: any,
) => {
  try {
    dispatch(actionLoading(true));
    await makeOrderById(id);
    dispatch(actionMakeOrderSusses(price));
  } catch (e) {
    dispatch(actionMakeOrderReject());
  } finally {
    dispatch(actionLoading(false));
  }
};

export { asyncMakeOrderById };
