export interface IGood {
  _id: string | undefined;
  name?: string | undefined;
  createdAt: string | undefined;
  price?: number;
  images?:
    | [
        {
          url: string;
        },
      ]
    | null;
}

export interface IGoodItem {
  good: IGood;
  routName: string;
}

export interface IGoodDetail {
  _id: string | undefined;
  name?: string | undefined;
  createdAt: string | undefined;
  price?: number;
  images?:
    | [
        {
          url: string;
        },
      ]
    | null;
  description: string | undefined;
}

export interface IGoodsProps {
  goodsArr: IGood[] | [];
  getGoods: () => void;
}

export interface IGoodsState {
  goods: {
    goodsArr: IGood[];
  };
}
