export interface IOrder {
  _id: string | undefined;
  total?: number | undefined;
  createdAt: string | undefined;
  orderGoods: [
    {
      count: number | undefined;
    },
  ];
}

export interface IOrderItem {
  order: IOrder;
}

export interface IOrderDetail {
  _id: string | undefined;
  name?: string | undefined;
  createdAt: string | undefined;
  price?: number;
  images?:
    | [
        {
          url: string;
        },
      ]
    | null;
  description: string | undefined;
}

export interface IOrdersProps {
  ordersArr: IOrder[] | [];
  getOrders: () => void;
}

export interface IOrdersState {
  orders: {
    ordersArr: IOrder[];
  };
}
